> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Field Options

`GET https://api.pagerduty.com/incidents/custom_fields/{field_id}/field_options`

**Deprecated.**

<!-- theme: warning -->
> ### Deprecated
> This endpoint is deprecated and only works for fields on the Base Incident Type. \
> For more flexibility, we recommend using the Incident Types endpoint: \
> [/incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/list-incident-type-custom-field)

List all enabled Field Options for a Custom Field on the Base Incident Type.

Scoped OAuth requires: `custom_fields.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `field_id` | string | yes | The ID of the field. |

## Response 200

A list of field options.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `field_options` | array of object | yes |  |
| `field_options[].data` | one of: object | yes |  |
| `field_options[].data.data_type` | string | yes | (option 1) The kind of data represented by this option. Must match the Field's `data_type`. One of: `string`. |
| `field_options[].data.value` | string | yes | (option 1) Max length: 100. |
| `field_options[].id` | string | yes | The ID of the resource. Read-only. |
| `field_options[].type` | string | yes | Read-only. One of: `field_option`. |
| `field_options[].updated_at` | string (date-time) | yes | The date/time the object was last updated. Read-only. |
| `field_options[].created_at` | string (date-time) | yes | The date/time the object was created at. Read-only. |

Example: Response Example

```json
{
  "field_options": [
    {
      "id": "PQ9K7I8",
      "type": "field_option",
      "data": {
        "data_type": "string",
        "value": "production"
      },
      "created_at": "2021-06-01T21:30:42Z",
      "updated_at": "2021-06-01T21:30:42Z"
    }
  ]
}
```

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
